## org.apache.http
Class ProtocolException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.http.HttpException
                  org.apache.http.ProtocolException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UnsupportedHttpVersionException

    public class ProtocolException

extends HttpException

Signals that an HTTP protocol violation has occurred. For example a malformed status line or headers, a missing message body, etc.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`ProtocolException()` Creates a new ProtocolException with a `null` detail message.
`ProtocolException(String message)` Creates a new ProtocolException with the specified detail message.
`ProtocolException(String message, Throwable cause)` Creates a new ProtocolException with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProtocolException

    public ProtocolException()

  Creates a new ProtocolException with a `null` detail message.

### ProtocolException

    public ProtocolException(String message)

  Creates a new ProtocolException with the specified detail message.

  Parameters:
    `message` - The exception detail message

### ProtocolException

    public ProtocolException(String message,
                             Throwable cause)

  Creates a new ProtocolException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.